Bare Metal Server
Overview
SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 Bare Metal Server 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다.
API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
| Version | Status | Supported Until |
|---|
| 1.0 | DEPRECATED | 20251231 |
| 1.1 | CURRENT | - |
OpenAPI URL
https://baremetal.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - Assign Baremetal Private NAT IP
1.1.1 - 1.1
post /v1/baremetals/{baremetal_id}/private-nat-ips
Description
Bare Metal Server Private NAT IP 연결 기능
상태
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/private-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"private_nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"private_nat_ip_id": "03cd065d8acc4e47b11a11dc1411323e"
}
Example HTTP response
Response 202
{
"nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"nat_ip": "192.170.2.10",
"nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
"state": "ACTIVE",
"static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3"
}
1.2 - Assign Baremetal Public NAT IP
1.2.1 - 1.1
post /v1/baremetals/{baremetal_id}/public-nat-ips
Description
Bare Metal Server NAT IP 연결 기능
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | BaremetalServerIdResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/public-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.2.2 - 1.0
post /v1/baremetals/{baremetal_id}/public-nat-ips
Description
Bare Metal Server NAT IP 연결 기능
상태
ACTIVE (DEPRECATED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | BaremetalServerIdResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/public-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.3 - Attach Baremetal Local Subnet
1.3.1 - 1.1
put /v1/baremetals/local-subnet/{baremetal_id}/attach
Description
Bare Metal Server 로컬 서브넷 연결 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| LocalSubnetAttachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | LocalSubnetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/local-subnet/{baremetal_id}/attach
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"local_subnet_ip": "192.168.0.1"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac",
"is_success": true
}
1.3.2 - 1.0
put /v1/baremetals/local-subnet/{baremetal_id}/attach
Description
Bare Metal Server 로컬 서브넷 연결 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| LocalSubnetAttachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | LocalSubnetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/local-subnet/{baremetal_id}/attach
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"local_subnet_ip": "192.168.0.1"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac",
"is_success": true
}
1.4 - Create Baremetals
1.4.1 - 1.1
post /v1/baremetals
Description
Bare Metal Server 생성 요청 기능
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"init_script": "init script",
"lock_enabled": true,
"os_user_id": "user001",
"os_user_password": "password",
"placement_group_name": "pgtest",
"region_id": "kr-west1",
"server_details": [
{
"bare_metal_local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"bare_metal_local_subnet_ip_address": "192.168.0.1",
"bare_metal_server_name": "bmserver-001",
"ip_address": "192.168.0.1",
"local_disk_partitions": [
{
"mount_point": "/mountpoint",
"partition_name": "partitionname",
"partition_size": 20,
"partition_type": "ext4"
}
],
"local_disk_type": "flat",
"nat_enabled": true,
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac",
"server_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"use_hyper_threading": true
}
],
"subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"tags": [
{
"key": "key",
"value": "value"
}
],
"use_placement_group": false,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.4.2 - 1.0
post /v1/baremetals
Description
Bare Metal Server 생성 요청 기능
상태
ACTIVE (DEPRECATED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"init_script": "init script",
"lock_enabled": true,
"os_user_id": "user001",
"os_user_password": "password",
"placement_group_name": "pgtest",
"region_id": "kr-west1",
"server_details": [
{
"bare_metal_local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"bare_metal_local_subnet_ip_address": "192.168.0.1",
"bare_metal_server_name": "bmserver-001",
"ip_address": "192.168.0.1",
"local_disk_partitions": [
{
"mount_point": "/mountpoint",
"partition_name": "partitionname",
"partition_size": 20,
"partition_type": "ext4"
}
],
"local_disk_type": "flat",
"nat_enabled": true,
"public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac",
"server_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"use_hyper_threading": true
}
],
"subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"tags": [
{
"key": "key",
"value": "value"
}
],
"use_placement_group": false,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.5 - Delete Baremetal Private NAT IP
1.5.1 - 1.1
delete /v1/baremetals/{baremetal_id}/private-nat-ips
Description
Bare Metal Server Private NAT IP 해지 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/private-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 202
{
"nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"nat_ip": "192.170.2.10",
"nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
"state": "ACTIVE",
"static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3"
}
1.6 - Delete Baremetal Public NAT IP
1.6.1 - 1.1
delete /v1/baremetals/{baremetal_id}/public-nat-ips
Description
Bare Metal Server NAT IP 해지 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | BaremetalServerIdResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/public-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.6.2 - 1.0
delete /v1/baremetals/{baremetal_id}/public-nat-ips
Description
Bare Metal Server NAT IP 해지 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | BaremetalServerIdResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/public-nat-ips
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.7 - Delete Baremetals
1.7.1 - 1.1
delete /v1/baremetals
Description
Bare Metal Server 해지 요청 기능
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"baremetal_id_list": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.7.2 - 1.0
delete /v1/baremetals
Description
Bare Metal Server 해지 요청 기능
상태
ACTIVE (DEPRECATED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"baremetal_id_list": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.8 - Detach Baremetal Local Subnet
1.8.1 - 1.1
put /v1/baremetals/local-subnet/{baremetal_id}/detach
Description
Bare Metal Server 로컬 서브넷 해지 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| LocalSubnetDetachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | LocalSubnetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/local-subnet/{baremetal_id}/detach
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"local_subnet_ip": "192.168.0.1"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac",
"is_success": true
}
1.8.2 - 1.0
put /v1/baremetals/local-subnet/{baremetal_id}/detach
Description
Bare Metal Server 로컬 서브넷 해지 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
| body | body required |
| LocalSubnetDetachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | LocalSubnetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/local-subnet/{baremetal_id}/detach
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"local_subnet_ip": "192.168.0.1"
}
Example HTTP response
Response 202
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac",
"is_success": true
}
1.9 - List Baremetal Images
1.9.1 - 1.1
get /v1/images
Description
Bare Metal Server 이미지 조회 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | region_id required | 리전 ID Example : kr-west1
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images?region_id={region_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"images": [
{
"created_at": "2024-07-11 08:56:59",
"id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"name": "RHEL 8.8 for BM",
"os_distro": "RHEL",
"scp_image_type": "STANDARD",
"scp_os_version": "8.7"
}
]
}
1.9.2 - 1.0
get /v1/images
Description
Bare Metal Server 이미지 조회 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | region_id required | 리전 ID Example : kr-west1
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images?region_id={region_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"images": [
{
"created_at": "2024-07-11 08:56:59",
"id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"name": "RHEL 8.8 for BM",
"os_distro": "RHEL",
"scp_image_type": "STANDARD",
"scp_os_version": "8.7"
}
]
}
1.10 - List Baremetal Products
1.10.1 - 1.1
get /v1/bm_products
Description
Bare Metal Server Scale type 조회 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | image_id optional | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ProductListResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/bm_products
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"products": [
{
"compute_class_type_name": "StandardMetal-2",
"compute_class_type_value": "s2_metal",
"cpu_name": "cpu 16 vCore",
"cpu_unit": "vCPU",
"cpu_value": "64",
"created_at": "2024-05-17T00:23:17Z",
"description": "vCPU 16 │ Memory 128G │ Disk 480G",
"disk_unit": "GB",
"disk_value": "480",
"id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"memory_name": "server memory 128GB",
"memory_unit": "GB",
"memory_value": "128",
"modified_at": "2024-05-17T00:23:17Z",
"name": "s2v16m128_metal",
"name_with_generation": "s2v16m128_metal",
"os_disk_gb": "480",
"state": "AVAILABLE",
"type": "SCALE"
}
]
}
1.10.2 - 1.0
get /v1/bm_products
Description
Bare Metal Server Scale type 조회 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | image_id optional | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ProductListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/bm_products
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"products": [
{
"attri_name": "attri name",
"attri_value": "attri value",
"compute_class_type_name": "StandardMetal-2",
"compute_class_type_unit": "compute_class_type_unit",
"compute_class_type_value": "s2_metal",
"cpu_generation": "cpu generation",
"cpu_name": "cpu 16 vCore",
"cpu_unit": "vCPU",
"cpu_value": "64",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vCPU 16 │ Memory 128G │ Disk 480G",
"disk_name": "disk_name",
"disk_unit": "GB",
"disk_value": "480",
"id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"infiniband_name": "infiniband_name",
"infiniband_unit": "infiniband_unit",
"infiniband_value": "infiniband_value",
"memory_name": "server memory 128GB",
"memory_unit": "GB",
"memory_value": "128",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "s2v16m128_metal",
"name_with_generation": "s2v16m128_metal",
"socket_name": "socket_name",
"socket_unit": "socket_unit",
"socket_value": "socket_value",
"state": "AVAILABLE",
"type": "SCALE"
}
]
}
1.11 - List Baremetals
1.11.1 - 1.1
get /v1/baremetals
Description
Bare Metal Server 목록 조회 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | server_name optional | Bare Metal Server 이름 Example : bmserver-001
| any of [string, null] | None |
| query | state optional | Bare Metal Server 상태 Example : RUNNING
| any of [string, null] | None |
| query | ip optional | Bare Metal Server IP 주소 Example : 192.168.0.1
| any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"baremetals": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"region_id": "kr-west1",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
],
"count": 20
}
1.11.2 - 1.0
get /v1/baremetals
Description
Bare Metal Server 목록 조회 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | server_name optional | Bare Metal Server 이름 Example : bmserver-001
| any of [string, null] | None |
| query | state optional | Bare Metal Server 상태 Example : RUNNING
| any of [string, null] | None |
| query | ip optional | Bare Metal Server IP 주소 Example : 192.168.0.1
| any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"baremetals": [
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"hyper_threading_use": true,
"id": "20c507a036c447cdb3b19468d8ea62ac",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"local_subnet_info": [
{
"interface_name": "ens8f1,bond_serv.2",
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_local_subnet_ip": "192.168.0.1",
"state": "CREATING",
"vlan_id": 500,
"vni_role_name": "mgmtJ4dzQBo"
}
],
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"policy_nat": "192.168.0.1",
"policy_use_nat": true,
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"public_nat_status": "ACTIVE",
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"use_local_subnet": true,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
],
"count": 20
}
1.12 - Lock Baremetal
1.12.1 - 1.1
put /v1/baremetals/{baremetal_id}/lock
Description
Bare Metal Server Lock 활성화 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/lock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.12.2 - 1.0
put /v1/baremetals/{baremetal_id}/lock
Description
Bare Metal Server Lock 활성화 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/lock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.13 - Show Baremetal
1.13.1 - 1.1
get /v1/baremetals/{baremetal_id}
Description
Bare Metal Server 상세 조회 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"hyper_threading_use": true,
"id": "20c507a036c447cdb3b19468d8ea62ac",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"local_subnet_info": [
{
"interface_name": "ens8f1,bond_serv.2",
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_local_subnet_ip": "192.168.0.1",
"state": "CREATING",
"vlan_id": 500,
"vni_role_name": "mgmtJ4dzQBo"
}
],
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"private_nat_info": {
"nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"nat_ip": "192.170.2.10",
"nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
"state": "ACTIVE",
"static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3"
},
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"public_nat_info": {
"nat_id": "a4fd0216cd32442a82733bbb8be0e82b",
"nat_ip": "192.170.2.10",
"nat_ip_id": "20c507a036c447cdb3b19468d8ea62ac",
"state": "ACTIVE",
"static_nat_id": "a1b97ae4695b40b0866e86a19cb191d3"
},
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"use_local_subnet": true,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
1.13.2 - 1.0
get /v1/baremetals/{baremetal_id}
Description
Bare Metal Server 상세 조회 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"hyper_threading_use": true,
"id": "20c507a036c447cdb3b19468d8ea62ac",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"local_subnet_info": [
{
"interface_name": "ens8f1,bond_serv.2",
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_local_subnet_ip": "192.168.0.1",
"state": "CREATING",
"vlan_id": 500,
"vni_role_name": "mgmtJ4dzQBo"
}
],
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"policy_nat": "192.168.0.1",
"policy_use_nat": true,
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"public_nat_status": "ACTIVE",
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"use_local_subnet": true,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
1.14 - Start Baremetals
1.14.1 - 1.1
post /v1/baremetals/start
Description
Bare Metal Server 시작(부팅) 요청 기능
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"bare_metal_server_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.14.2 - 1.0
post /v1/baremetals/start
Description
Bare Metal Server 시작(부팅) 요청 기능
상태
ACTIVE (DEPRECATED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"bare_metal_server_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.15 - Stop Baremetals
1.15.1 - 1.1
post /v1/baremetals/stop
Description
Bare Metal Server 중지 요청 기능
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Request body
{
"bare_metal_server_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.15.2 - 1.0
post /v1/baremetals/stop
Description
Bare Metal Server 중지 요청 기능
상태
ACTIVE (DEPRECATED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Request body
{
"bare_metal_server_ids": [
"20c507a036c447cdb3b19468d8ea62ac"
]
}
Example HTTP response
Response 202
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
"resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.16 - Unlock Baremetal
1.16.1 - 1.1
put /v1/baremetals/{baremetal_id}/unlock
Description
Bare Metal Server Lock 해지 기능
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/unlock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
1.16.2 - 1.0
put /v1/baremetals/{baremetal_id}/unlock
Description
Bare Metal Server Lock 해지 기능
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BaremetalActionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals/{baremetal_id}/unlock
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"baremetal_id": "20c507a036c447cdb3b19468d8ea62ac"
}
2 - Models
2.1 - AsyncResponse
| Name | Description | Schema | Default |
|---|
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
request_id required | Request ID Example : req-002daa83-52d9-41e8-9b0f-d31d35610f65
| string | |
resource_id required | 자원 ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.2 - BaremetalActionResponse
| Name | Description | Schema | Default |
|---|
baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.3 - BaremetalCreateRequest
| Name | Description | Schema | Default |
|---|
image_id required | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
init_script optional | Init script Example : init script
| any of [string, null] | |
lock_enabled optional | Lock 사용 여부 Example : True
| boolean | |
os_user_id required | OS 유저 ID Example : user001
| string | |
os_user_password required | OS 유저 패스워드 Example : password
| string | |
placement_group_name optional | Placement Group 이름 Example : pgtest
| any of [string, null] | |
region_id required | 리전 ID Example : kr-west1
| string | |
server_details required | 서버별 세부 설정
| array[ServerDetailsRequest] | |
subnet_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
tags optional | 태그
| any of [array[TagRequest], null] | |
use_placement_group optional | placement group 사용 여부 Example : False
| boolean | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
2.4 - BaremetalListResponse
| Name | Description | Schema | Default |
|---|
baremetals required |
| array[BaremetalShowResponse] | |
count required | 대수 Example : 20
| any of [integer, null] | |
2.5 - BaremetalListResponseV1Dot1
| Name | Description | Schema | Default |
|---|
baremetals required |
| array[BaremetalListV1Dot1] | |
count required | 대수 Example : 20
| integer | |
2.6 - BaremetalListV1Dot1
| Name | Description | Schema | Default |
|---|
created_at required | 생성 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | 생성자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
id required | ID Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
| string | |
image_id required | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
image_version required | 이미지 버전 Example : RHEL 8.7 for BM
| string | |
lock_enabled optional | Lock 사용 여부 Example : True
| boolean | |
modified_at required | 수정 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | 수정자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
network_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
os_type required | OS type Example : WINDOWS
| string | |
placement_group_name optional | Placement Group 이름 Example : pgtest
| any of [string, null] | |
policy_ip required | 정책 IP Example : 192.168.0.1
| string | |
product_type_id required | Bare Metal Server 스케일 ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
region_id required | 리전 ID Example : kr-west1
| string | |
server_name required | Bare Metal Server 이름 Example : bmserver-001
| string | |
server_type required | Bare Metal Server 스케일 타입 Example : s1v8m32_metal
| string | |
state required | Bare Metal Server 상태 Example : RUNNING
| string | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
2.7 - BaremetalServerAssignPrivateNatIpRequest
| Name | Description | Schema | Default |
|---|
private_nat_id required | Private NAT ID Example : a4fd0216cd32442a82733bbb8be0e82b
| string | |
private_nat_ip_id required | Private NAT IP ID Example : 03cd065d8acc4e47b11a11dc1411323e
| string | |
2.8 - BaremetalServerAssignPublicNatIpRequest
| Name | Description | Schema | Default |
|---|
public_ip_address_id required | Public NAT ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.9 - BaremetalServerIdResponse
| Name | Description | Schema | Default |
|---|
baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
2.10 - BaremetalShowResponse
| Name | Description | Schema | Default |
|---|
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
created_at required | 생성 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | 생성자 Example : ef716e80-1fac-4faa-892d-0132fc7f5583
| string | |
hyper_threading_use required | Hyper threading 사용 여부 Example : True
| boolean | |
id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
image_id required | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
image_version required | 이미지 버전 Example : RHEL 8.7 for BM
| string | |
init_script required | Init script Example : init script
| string | |
local_subnet_info optional | Local Subnet 정보
| any of [array[LocalSubnetInfoResponse], null] | |
lock_enabled optional | Lock 사용 여부 Example : True
| boolean | |
modified_at required | 수정 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | 수정자 Example : ef716e80-1fac-4faa-892d-0132fc7f5583
| string | |
network_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
os_type required | OS type Example : WINDOWS
| string | |
placement_group_name optional | Placement Group 이름 Example : pgtest
| any of [string, null] | |
policy_ip required | 정책 IP Example : 192.168.0.1
| string | |
policy_nat optional | Public NAT IP Example : 192.168.0.1
| any of [string, null] | |
policy_use_nat optional | Public NAT 사용 여부 Example : True
| boolean | |
product_type_id required | Bare Metal Server 스케일 ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
public_nat_status optional | Public NAT 상태 Example : ACTIVE
| any of [string, null] | |
region_id required | 리전 ID Example : kr-west1
| string | |
root_account required | 루트 계정 Example : rootaccount
| string | |
server_name required | Bare Metal Server 이름 Example : bmserver-001
| string | |
server_type required | Bare Metal Server 스케일 타입 Example : s1v8m32_metal
| string | |
state required | Bare Metal Server 상태 Example : RUNNING
| string | |
time_zone required | 타임존 Example : Asia/Seoul
| string | |
use_local_subnet optional | 로컬 서브넷 사용 여부 Example : True
| boolean | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
2.11 - BaremetalShowResponseV1Dot1
| Name | Description | Schema | Default |
|---|
account_id required | Account ID Example : f5c8e56a4d9b49a8bd89e14758a32d53
| string | |
created_at required | 생성 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | 생성자 Example : ef716e80-1fac-4faa-892d-0132fc7f5583
| string | |
hyper_threading_use required | Hyper threading 사용 여부 Example : True
| boolean | |
id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
image_id required | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
image_version required | 이미지 버전 Example : RHEL 8.7 for BM
| string | |
init_script required | Init script Example : init script
| string | |
local_subnet_info optional | Local Subnet 정보
| any of [array[LocalSubnetInfoResponse], null] | |
lock_enabled optional | Lock 사용 여부 Example : True
| boolean | |
modified_at required | 수정 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | 수정자 Example : ef716e80-1fac-4faa-892d-0132fc7f5583
| string | |
network_id required | Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
os_type required | OS type Example : WINDOWS
| string | |
placement_group_name optional | Placement Group 이름 Example : pgtest
| any of [string, null] | |
policy_ip required | 정책 IP Example : 192.168.0.1
| string | |
private_nat_info optional | Private NAT 정보
| any of [BaremetalStaticNatResponseV1Dot1, null] | |
product_type_id required | Bare Metal Server 스케일 ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
public_nat_info optional | Public NAT 정보
| any of [BaremetalStaticNatResponseV1Dot1, null] | |
region_id required | 리전 ID Example : kr-west1
| string | |
root_account required | 루트 계정 Example : rootaccount
| string | |
server_name required | Bare Metal Server 이름 Example : bmserver-001
| string | |
server_type required | Bare Metal Server 스케일 타입 Example : s1v8m32_metal
| string | |
state required | Bare Metal Server 상태 Example : RUNNING
| string | |
time_zone required | 타임존 Example : Asia/Seoul
| string | |
use_local_subnet optional | 로컬 서브넷 사용 여부 Example : True
| boolean | |
vpc_id required | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca
| string | |
2.12 - BaremetalsOperationRequest
| Name | Description | Schema | Default |
|---|
bare_metal_server_ids required | Bare Metal Server ID 리스트 Example : ['20c507a036c447cdb3b19468d8ea62ac']
| array[object] | |
2.13 - BaremetalStaticNatResponseV1Dot1
| Name | Description | Schema | Default |
|---|
nat_id optional | NAT ID Example : a4fd0216cd32442a82733bbb8be0e82b
| any of [string, null] | |
nat_ip required | NAT IP Example : 192.170.2.10
| string | |
nat_ip_id required | NAT IP ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
state required | Static NAT 상태 Example : ACTIVE
| string | |
static_nat_id optional | Static NAT ID Example : a1b97ae4695b40b0866e86a19cb191d3
| any of [string, null] | |
2.14 - BaremetalTerminateRequest
| Name | Description | Schema | Default |
|---|
baremetal_id_list required | Bare Metal Server ID 리스트 Example : ['20c507a036c447cdb3b19468d8ea62ac']
| array[object] | |
2.16 - ImageShowResponse
| Name | Description | Schema | Default |
|---|
created_at required | 생성 시간 Example : 2024-07-11 08:56:59
| string | |
id required | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
| string | |
name required | 이미지명 Example : RHEL 8.8 for BM
| string | |
os_distro required | OS type Example : RHEL
| string | |
scp_image_type required | 이미지 타입 Example : STANDARD
| string | |
scp_os_version required | OS 버전 Example : 8.7
| string | |
2.17 - LocalDiskPartitionsRequest
| Name | Description | Schema | Default |
|---|
mount_point required | 마운트 포인트 Example : /mountpoint
| string | |
partition_name optional | 파티션명 Example : partitionname
| any of [string, null] | |
partition_size required | 파티션 크기 Example : 20
| integer | |
partition_type required | 파티션 타입 Example : ext4
| string | |
2.18 - LocalSubnetAttachRequest
| Name | Description | Schema | Default |
|---|
local_subnet_id required | 로컬 Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
local_subnet_ip optional | 로컬 Subnet IP Example : 192.168.0.1
| any of [string, null] | |
2.19 - LocalSubnetDetachRequest
| Name | Description | Schema | Default |
|---|
local_subnet_id required | 로컬 Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
local_subnet_ip required | 로컬 Subnet IP Example : 192.168.0.1
| string | |
2.20 - LocalSubnetInfoResponse
| Name | Description | Schema | Default |
|---|
interface_name required | Interface명 Example : ens8f1,bond_serv.2
| string | |
local_subnet_id required | 로컬 Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| string | |
policy_local_subnet_ip required | 로컬 Subnet IP Example : 192.168.0.1
| string | |
state required | Local subnet IP의 상태 Example : CREATING
| string | |
vlan_id required | Vlan ID Example : 500
| string | |
vni_role_name required | VNI Role Name Example : mgmtJ4dzQBo
| string | |
2.21 - LocalSubnetResponse
| Name | Description | Schema | Default |
|---|
baremetal_id required | Bare Metal Server ID Example : 20c507a036c447cdb3b19468d8ea62ac
| string | |
is_success optional | success flag Example : True
| boolean | |
2.22 - ProductListResponse
2.23 - ProductListResponseV1Dot1
2.24 - ProductShowResponse
| Name | Description | Schema | Default |
|---|
attri_name required | Attribute 이름 Example : attri name
| string | |
attri_value required | Attribute value Example : attri value
| string | |
compute_class_type_name required | Compute class type 이름 Example : StandardMetal-2
| string | |
compute_class_type_unit required | Compute class type unit Example : compute_class_type_unit
| string | |
compute_class_type_value required | Compute class type value Example : s2_metal
| string | |
cpu_generation required | CPU generation Example : cpu generation
| string | |
cpu_name required | CPU 이름 Example : cpu 16 vCore
| string | |
cpu_unit required | CPU unit Example : vCPU
| string | |
cpu_value required | CPU value Example : 64
| string | |
created_at required | 생성 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
created_by required | 생성자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
description required | 설명 Example : vCPU 16 │ Memory 128G │ Disk 480G
| string | |
disk_name required | Disk명 Example : disk_name
| string | |
disk_unit required | Disk unit Example : GB
| string | |
disk_value required | Disk value Example : 480
| string | |
id required | ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
infiniband_name required | InfiniBand 이름 Example : infiniband_name
| string | |
infiniband_unit required | InfiniBand unit Example : infiniband_unit
| string | |
infiniband_value required | Infiniband value Example : infiniband_value
| string | |
memory_name required | Memroy 이름 Example : server memory 128GB
| string | |
memory_unit required | Memory unit Example : GB
| string | |
memory_value required | Memory value Example : 128
| string | |
modified_at required | 수정 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
modified_by required | 수정자 Example : 90dddfc2b1e04edba54ba2b41539a9ac
| string | |
name required | 이름 Example : s2v16m128_metal
| string | |
name_with_generation required | 세대 Example : s2v16m128_metal
| string | |
socket_name required | Socket 이름 Example : socket_name
| string | |
socket_unit required | Socket unit Example : socket_unit
| string | |
socket_value required | Socket value Example : socket_value
| string | |
state required | State Example : AVAILABLE
| string | |
type required | 유형 Example : SCALE
| string | |
2.25 - ProductShowResponseV1Dot1
| Name | Description | Schema | Default |
|---|
compute_class_type_name required | Compute class type 이름 Example : StandardMetal-2
| string | |
compute_class_type_value required | Compute class type value Example : s2_metal
| string | |
cpu_name required | CPU 이름 Example : cpu 16 vCore
| any of [string, null] | |
cpu_unit required | CPU unit Example : vCPU
| string | |
cpu_value required | CPU value Example : 64
| string | |
created_at required | 생성 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
description required | 설명 Example : vCPU 16 │ Memory 128G │ Disk 480G
| any of [string, null] | |
disk_unit required | Disk unit Example : GB
| any of [string, null] | |
disk_value required | Disk value Example : 480
| string | |
id required | ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
memory_name required | Memroy 이름 Example : server memory 128GB
| any of [string, null] | |
memory_unit required | Memory unit Example : GB
| any of [string, null] | |
memory_value required | Memory value Example : 128
| string | |
modified_at required | 수정 시간 Example : 2024-05-17T00:23:17Z
| string (date-time) | |
name required | 이름 Example : s2v16m128_metal
| string | |
name_with_generation required | 세대 Example : s2v16m128_metal
| string | |
os_disk_gb required | OS Disk 값 Example : 480
| string | |
state required | State Example : AVAILABLE
| string | |
type required | 유형 Example : SCALE
| string | |
2.26 - ServerDetailsRequest
| Name | Description | Schema | Default |
|---|
bare_metal_local_subnet_id optional | 로컬 Subnet ID Example : ab313c43291e4b678f4bacffe10768ae
| any of [string, null] | |
bare_metal_local_subnet_ip_address optional | 로컬 Subnet IP Example : 192.168.0.1
| any of [string, null] | |
bare_metal_server_name required | Bare Metal Server 이름 Example : bmserver-001
| string | |
ip_address optional | Private IP Example : 192.168.0.1
| any of [string, null] | |
local_disk_partitions optional | 로컬 디스크 파티션
| any of [array[LocalDiskPartitionsRequest], null] | |
local_disk_type optional | 로컬 디스크 타입 Example : flat
| any of [string, null] | |
nat_enabled required | Public NAT 사용 여부 Example : True
| boolean | |
public_ip_address_id optional | Public NAT ID Example : 20c507a036c447cdb3b19468d8ea62ac
| any of [string, null] | |
server_type_id required | Server Type ID Example : PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg
| string | |
use_hyper_threading optional | Hyper threading 사용 여부 Example : True
| boolean | |
2.27 - TagRequest
| Name | Description | Schema | Default |
|---|
key required | key Example : key
| string | |
value optional | value Example : value
| any of [string, null] | |